%define python_minver 2.4.2
%define zope_minver 2.9.4

%define zope_home      %{_libdir}/zope
%define software_home  %{zope_home}/lib/python

Name:           plone
Version:        2.5.3
Release:        1%{?dist}
Summary:        User friendly and powerful open source Content Management System
License:        GPL
Group:          System Environment/Daemons
URL:            http://www.plone.org/
Source0:        http://plone.googlecode.com/files/Plone-%{version}-final.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       zope >= %{zope_minver}
Requires:       python >= %{python_minver}, python-imaging

%description
Plone is a user friendly and powerful content management system based on Zope.
It is easy to use, translated into over 30 languages and carefully follows
standards. It's under active development and easily extensible with add-on
products.

%prep
%setup -q -n Plone-%{version}-final
# Clean up sources
find . -type d -name CVS | xargs rm -rf
find . -type f -name .cvsignore | xargs rm -rf
find . -type d -name .svn | xargs rm -rf
find . -type f -name "*~" | xargs rm -rf


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{software_home}/Products
cp -pr * $RPM_BUILD_ROOT%{software_home}/Products

# Remove Five because Zope provides the correct verison of Five
rm -rf $RPM_BUILD_ROOT%{software_home}/Products/Five

# Avoid conflicts, put those in %%doc
rm -f $RPM_BUILD_ROOT%{software_home}/Products/README.txt
rm -f $RPM_BUILD_ROOT%{software_home}/Products/CONTENTS.txt


%clean
rm -rf $RPM_BUILD_ROOT


%post
# Make it available to Zope, be it on install or on upgrade
/sbin/service zope condrestart >/dev/null 2>&1


%files
%defattr(644,root,root,755)
%doc README.txt CONTENTS.txt
%{software_home}/Products/*
%exclude %{software_home}/Products/CacheFu/squid/templates/timing.pyc
%exclude %{software_home}/Products/CacheFu/squid/templates/timing.pyo


%changelog
* Wed May 23 2007 Jonathan Steffan <jon a fedoraunity.org> 2.5.3-1
- Fixed CacheFu squid scripts (removed pyc and pyo)
- Updated to 2.5.3

* Sun Jan 21 2007 Jonathan Steffan <jon a fedoraunity.org> 2.5.2-1
- Updated to 2.5.2
- Removed Plone Hotfix 20061031

* Sat Jan 6 2007 Jonathan Steffan <jon a fedoraunity.org> 2.5.1-6
- Retag

* Sat Jan 6 2007 Jonathan Steffan <jon a fedoraunity.org> 2.5.1-5
- Updated so zope now provides Five

* Tue Nov 21 2006 Jonathan Steffan <jon a fedoraunity.org> 2.5.1-4
- Updated so plone now provides the correct version of the Five product

* Sat Nov 04 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5.1-3
- add Plone Hotfix 20061031 (bug 213983)

* Mon Oct 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5.1-1
- rebuild

* Mon Oct 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5.1-1
- version 2.5.1

* Thu Oct 05 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5-4
- Update PasswordResetTool to fix CVE-2006-4247

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5-3
- Zope 2.9.4 went back to zope/lib/python on x86_64

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5-2
- fix path on x86_64

* Mon Jul 10 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5-1
- Version 2.5
- Drop Hotfix, included
- condrestart Zope on %%post

* Thu Apr 13 2006 Aurelien Bompard <gauret[AT]free.fr> 2.1.2-2
- apply Plone Hotfix 2006-04-10 to fix CVE-2006-1711
- restart Zope on upgrade (will migrate it to %%postun for the
  next release, but we need to make sure zope is restarted for
  this one (security)

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 2.1.2-1
- version 2.1.2

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1.1-1
- version 2.1.1

* Thu Sep 08 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-1
- version 2.1 final

* Thu Aug 11 2005 Aurelien Bompard <gauret[AT]free.fr>
- rebuild

* Thu Aug 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.3.rc2
- update to rc2
- drop buildarch: noarch since _libdir depends on arch (on x86_64)
- put readmes in %%doc

* Mon Aug 01 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.2.rc1
- update to rc1

* Wed Jun 15 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.1.alpha2
- update to 2.1 alpha2 to work with python >= 2.4 and zope >= 2.8

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Feb 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.0.5-2
- apply Matthias' suggestions: cleanup %%description, drop Epoch, and
  use a better Group.

* Fri Feb 11 2005 Aurelien Bompard <gauret[AT]free.fr> 0:2.0.5-1
- initial Fedora Extras RPM
